From a32442f6ca32cf402a76856d5e713bd742481ba2 Mon Sep 17 00:00:00 2001
From: Chuck Lever <chuck.lever@oracle.com>
Date: Mon, 7 Oct 2024 14:07:54 -0400
Subject: [PATCH] xdrgen: Add a utility for extracting XDR from RFCs

For convenience, copy the XDR extraction script from RFC

Reviewed-by: Jeff Layton <jlayton@kernel.org>
Signed-off-by: Chuck Lever <chuck.lever@oracle.com>
---
 MAINTAINERS                 |  1 +
 tools/net/sunrpc/extract.sh | 11 +++++++++++
 2 files changed, 12 insertions(+)
 create mode 100755 tools/net/sunrpc/extract.sh

diff --git a/MAINTAINERS b/MAINTAINERS
index 21fdaa19229ae..f711449753b3e 100644
--- a/MAINTAINERS
+++ b/MAINTAINERS
@@ -12367,6 +12367,7 @@ F:	include/trace/misc/sunrpc.h
 F:	include/uapi/linux/nfsd/
 F:	include/uapi/linux/sunrpc/
 F:	net/sunrpc/
+F:	tools/net/sunrpc/
 
 KERNEL PACMAN PACKAGING (in addition to generic KERNEL BUILD)
 M:	Thomas Weißschuh <linux@weissschuh.net>
diff --git a/tools/net/sunrpc/extract.sh b/tools/net/sunrpc/extract.sh
new file mode 100755
index 0000000000000..f944066f25bcc
--- /dev/null
+++ b/tools/net/sunrpc/extract.sh
@@ -0,0 +1,11 @@
+#! /bin/sh
+# SPDX-License-Identifier: GPL-2.0
+#
+# Extract an RPC protocol specification from an RFC document.
+# The version of this script comes from RFC 8166.
+#
+# Usage:
+#  $ extract.sh < rfcNNNN.txt > protocol.x
+#
+
+grep '^ *///' | sed 's?^ */// ??' | sed 's?^ *///$??'
-- 
GitLab